package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Duration_typeRepository;
import com.realnet.basicp1.Entity.Duration_type
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class Duration_typeService {
@Autowired
private Duration_typeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Duration_type Savedata(Duration_type data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Duration_type save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Duration_type> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Duration_type> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Duration_type> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Duration_type getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Duration_type update(Duration_type data,Integer id) {
	Duration_type old = Repository.findById(id).get();
old.setDuration(data.getDuration());

final Duration_type test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
